import { r as registerInstance, h } from './index-98dfb63a.js';

const SmoothlyTuple = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return [h("b", null, this.tuple[0]), ": ", this.tuple[1], h("br", null)];
  }
};

const Urlencoded = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return this.data
      .split("&")
      .map(p => p.split("="))
      .map(tuple => h("smoothly-tuple", { tuple: tuple }));
  }
};

export { SmoothlyTuple as smoothly_tuple, Urlencoded as smoothly_urlencoded };
